<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	<class name="RoomTypeSceneModal" table="tb_RoomTypeSceneModal">
		<id name="ID" column="ID" type="int" unsaved-value="0">
			<generator class="native" />
		</id>
		<many-to-one name="Scene" column="RoomTypeSceneID" class="RoomTypeScene" foreign-key="FK_tb_RoomTypeSceneModal_tb_RoomTypeScene" />
		<many-to-one name="Modal" column="RoomTypeModalID" class="RoomTypeModal" foreign-key="FK_tb_RoomTypeSceneModal_tb_RoomTypeModal" />
		<property name="Status" column="Status" type="int"  />
		<property name="Brightness" column="Brightness" type="int"  />
    <property name="CurrentTemp" column="CurrentTemp" type="int" />
    <property name="SettingTemp" column="SettingTemp" type="int" />
    <property name="FanSpeed" column="FanSpeed" type="int" />
    <property name="Mode" column="Mode" type="int" />
    <property name="Valve" column="Valve" type="int" />
	</class>
</hibernate-mapping>
